Subject: Re: bug#13649: boobytrapped dired-do-async-shell-command question

From: Stefan Monnier <[email-masked]>
Date: Fri, 08 Feb 2013 10:11:38 -0500

>> A command is running in the default buffer.  Use a new buffer? (yes or no)
>> Which is a boobytrapped question, as picking "no" will always end up
>> in failure...
> Ah, to you "no" means "don't use a new buffer"?  Yes, this is too ambiguous.
> A better question would be:

>   A command is running in the default buffer.  Run in a new buffer?
>     (yes or no)

I think it's got the same problem.  I think the question should be more
something like:

  A command is running in the default buffer.  Kill it or use a new buffer?

with C-g being the answer for "don't use a new buffer and don't kill it".

        Stefan